/**
 * title: 监听锚点链接改变
 * desc: 监听锚点链接改变。
 * slug: true
 */
import { Anchor } from 'antd';
import React from 'react';
var Link = Anchor.Link;
var onChange = function onChange(link) {
  console.log('Anchor:OnChange', link);
};
var App = function App() {
  return /*#__PURE__*/React.createElement(Anchor, {
    affix: false,
    onChange: onChange
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-basic",
    title: "Basic demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-static",
    title: "Static demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#API",
    title: "API"
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#Anchor-Props",
    title: "Anchor Props"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#Link-Props",
    title: "Link Props"
  })));
};
export default App;