/**
 * title: 自定义 onClick 事件
 * desc: 点击锚点不记录历史。
 * slug: true
 */
import { Anchor } from 'antd';
import React from 'react';
var Link = Anchor.Link;
var handleClick = function handleClick(e, link) {
  e.preventDefault();
  console.log(link);
};
var App = function App() {
  return /*#__PURE__*/React.createElement(Anchor, {
    affix: false,
    onClick: handleClick
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-basic",
    title: "Basic demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-static",
    title: "Static demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#API",
    title: "API"
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#Anchor-Props",
    title: "Anchor Props"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#Link-Props",
    title: "Link Props"
  })));
};
export default App;