/**
 * title: 自定义样式
 * desc: 可以自定义回到顶部按钮的样式，限制宽高：`40px * 40px`。<br/> 注意：`BackTop` 需要一个可接受 `onClick` 事件的元素作为 `children`。 如果您直接将文本作为子项放置，则该组件将无法正常运行。
 * slug: true
 */
import { BackTop } from 'antd';
import React from 'react';
var style = {
  height: 40,
  width: 40,
  lineHeight: '40px',
  borderRadius: 4,
  backgroundColor: '#1088e9',
  color: '#fff',
  textAlign: 'center',
  fontSize: 14
};
var App = function App() {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      height: '600vh',
      padding: 8
    }
  }, /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement("div", null, "Scroll to bottom"), /*#__PURE__*/React.createElement(BackTop, null, /*#__PURE__*/React.createElement("div", {
    style: style
  }, "UP")));
};
export default App;