function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
/**
 * title: 组件尺寸
 * desc: 修改默认组件尺寸。
 * slug: true
 */
import { Button, Card, DatePicker, Divider, Input, Radio, Select, Table, Tabs, Space } from 'antd';
import { ConfigProvider } from 'rlj-design';
import React, { useState } from 'react';
var TabPane = Tabs.TabPane;
var App = function App() {
  var _useState = useState('small'),
    _useState2 = _slicedToArray(_useState, 2),
    componentSize = _useState2[0],
    setComponentSize = _useState2[1];
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Radio.Group, {
    value: componentSize,
    onChange: function onChange(e) {
      setComponentSize(e.target.value);
    }
  }, /*#__PURE__*/React.createElement(Radio.Button, {
    value: "small"
  }, "Small"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "middle"
  }, "Middle"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "large"
  }, "Large")), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(ConfigProvider, {
    componentSize: componentSize
  }, /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Input, null)), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Tabs, {
    defaultActiveKey: "1"
  }, /*#__PURE__*/React.createElement(TabPane, {
    tab: "Tab 1",
    key: "1"
  }, "Content of Tab Pane 1"), /*#__PURE__*/React.createElement(TabPane, {
    tab: "Tab 2",
    key: "2"
  }, "Content of Tab Pane 2"), /*#__PURE__*/React.createElement(TabPane, {
    tab: "Tab 3",
    key: "3"
  }, "Content of Tab Pane 3"))), /*#__PURE__*/React.createElement(Space, {
    size: 20,
    direction: "vertical"
  }, /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Input.Search, {
    allowClear: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Input.TextArea, {
    allowClear: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Select, {
    defaultValue: "demo",
    options: [{
      value: 'demo'
    }]
  })), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(DatePicker, null)), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(DatePicker.RangePicker, null)), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Button, null, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Card, {
    title: "Card"
  }, /*#__PURE__*/React.createElement(Table, {
    columns: [{
      title: 'Name',
      dataIndex: 'name'
    }, {
      title: 'Age',
      dataIndex: 'age'
    }],
    dataSource: [{
      key: '1',
      name: 'John Brown',
      age: 32
    }, {
      key: '2',
      name: 'Jim Green',
      age: 42
    }, {
      key: '3',
      name: 'Joe Black',
      age: 32
    }]
  }))))));
};
export default App;