var _excluded = ["allowClear"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Input } from 'antd';
import Icon from "../Icon";
import Search from "./Search";
import TextArea from "./TextArea";
import FillSearch from "./FillSearch";
import EnterSearch from "./EnterSearch";
import "./style/index.less";
export var clearIconHandle = function clearIconHandle(allowClear) {
  return typeof allowClear === 'boolean' ? allowClear && /*#__PURE__*/React.createElement(Icon, {
    type: "closeAreality",
    size: 16
  }) : allowClear !== null && allowClear !== void 0 && allowClear.clearIcon ? allowClear === null || allowClear === void 0 ? void 0 : allowClear.clearIcon : false;
};
var AntdInput = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var _ref$allowClear = _ref.allowClear,
    allowClear = _ref$allowClear === void 0 ? true : _ref$allowClear,
    restProps = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(Input, _extends({
    ref: ref,
    allowClear: allowClear && {
      clearIcon: clearIconHandle(allowClear)
    }
  }, restProps));
});
AntdInput.Group = Input.Group;
AntdInput.Search = Search;
AntdInput.TextArea = TextArea;
AntdInput.Password = Input.Password;
AntdInput.FillSearch = FillSearch;
AntdInput.EnterSearch = EnterSearch;
export default AntdInput;