import React from 'react';
import classnames from 'classnames';
import Typography from "../Typography";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/index.less";
var prefixCls = "".concat(PREFIX_CLS, "-labelRender");
var TextOverFlow = Typography.TextOverFlow;
var LabelRender = function LabelRender(_ref) {
  var text = _ref.text,
    className = _ref.className,
    style = _ref.style,
    barColor = _ref.barColor;
  return /*#__PURE__*/React.createElement("div", {
    className: prefixCls
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-rod"),
    style: {
      background: barColor
    }
  }), /*#__PURE__*/React.createElement("div", {
    style: style,
    className: classnames("".concat(prefixCls, "-text"), className)
  }, /*#__PURE__*/React.createElement(TextOverFlow, {
    width: "100%"
  }, text)));
};
export default LabelRender;