var _excluded = ["description", "message"],
  _excluded2 = ["description", "message"],
  _excluded3 = ["description", "message"];
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React from 'react';
import { notification } from 'antd';
import Icon from "../Icon";
import classnames from 'classnames';
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/index.less";
var prefixCls = "".concat(PREFIX_CLS, "-notification");
var CONFIG = {
  warning: {
    color: '#fe9700',
    icon: /*#__PURE__*/React.createElement(Icon, {
      type: "warningAreality",
      style: {
        fontSize: 18,
        color: '#fe9700'
      }
    })
  },
  error: {
    color: '#ff3c30',
    icon: /*#__PURE__*/React.createElement(Icon, {
      type: "closeAreality",
      style: {
        fontSize: 18,
        color: '#ff3c30'
      }
    })
  },
  success: {
    color: '#0abb5a',
    icon: /*#__PURE__*/React.createElement(Icon, {
      type: "success",
      style: {
        fontSize: 18,
        color: '#0abb5a'
      }
    })
  }
};
var getConfig = function getConfig(type, description, message) {
  var _CONFIG$type = CONFIG[type],
    color = _CONFIG$type.color,
    icon = _CONFIG$type.icon;
  return {
    top: 68,
    description: /*#__PURE__*/React.createElement("span", {
      className: classnames(prefixCls, _defineProperty({}, "".concat(prefixCls, "-noMessage"), !message))
    }, description),
    style: {
      borderLeft: "4px solid ".concat(color)
    },
    duration: 4.5,
    closeIcon: /*#__PURE__*/React.createElement(Icon, {
      type: "close",
      size: 16
    }),
    icon: icon
  };
};
var AntdNotification = _objectSpread(_objectSpread({}, notification), {}, {
  open: function open(config) {
    notification.open(_objectSpread({
      closeIcon: /*#__PURE__*/React.createElement(Icon, {
        type: "close",
        size: 16
      })
    }, config));
  },
  success: function success(_ref) {
    var description = _ref.description,
      message = _ref.message,
      config = _objectWithoutProperties(_ref, _excluded);
    notification.success(_objectSpread(_objectSpread({
      message: message
    }, getConfig('success', description, message)), config));
  },
  warn: function warn(_ref2) {
    var description = _ref2.description,
      message = _ref2.message,
      config = _objectWithoutProperties(_ref2, _excluded2);
    notification.success(_objectSpread(_objectSpread({
      message: message
    }, getConfig('warn', description, message)), config));
  },
  error: function error(_ref3) {
    var description = _ref3.description,
      message = _ref3.message,
      config = _objectWithoutProperties(_ref3, _excluded3);
    notification.success(_objectSpread(_objectSpread({
      message: message
    }, getConfig('error', description, message)), config));
  }
});
export default AntdNotification;