import React from 'react';
export interface PageTitleProps {
    /** 标题 */
    title: React.ReactNode;
    /** 标题字数限制 */
    titleLength?: number;
    /** 右侧操作 */
    action?: React.ReactNode;
    /** 标题中间部分内容 */
    centerNode?: React.ReactNode;
    /** 左侧图标，传false不展示，不传展示默认图标 */
    icon?: React.ReactNode | boolean;
    /** 点击图标的触发的事件 */
    onClick?: () => void;
    /** 是否展示边框 */
    bordered?: boolean;
    /** 是否展示下边框 */
    borderedBottom?: boolean;
    /** css样式 */
    style?: React.CSSProperties;
    /** 类名 */
    className?: string;
    /** 是否禁用 */
    disabled?: boolean;
}
