/**
 * title: 自定义文字格式
 * desc: format 属性指定格式。
 * slug: true
 */
import { Progress, Space } from 'antd';
import React from 'react';
var App = function App() {
  return /*#__PURE__*/React.createElement(Space, {
    size: 20
  }, /*#__PURE__*/React.createElement(Progress, {
    type: "circle",
    percent: 75,
    format: function format(percent) {
      return "".concat(percent, " Days");
    }
  }), /*#__PURE__*/React.createElement(Progress, {
    type: "circle",
    percent: 100,
    format: function format() {
      return 'Done';
    }
  }));
};
export default App;