/**
 * title: 边缘形状
 * desc: 通过设定 `strokeLinecap="butt"` 可以调整进度条边缘的形状为方形，详见 [stroke-linecap](https://developer.mozilla.org/docs/Web/SVG/Attribute/stroke-linecap)。
 * slug: true
 */
import { Progress, Space } from 'antd';
import React from 'react';
var App = function App() {
  return /*#__PURE__*/React.createElement(Space, {
    size: 20,
    direction: "vertical"
  }, /*#__PURE__*/React.createElement(Progress, {
    strokeLinecap: "butt",
    percent: 75
  }), /*#__PURE__*/React.createElement(Space, {
    size: 20
  }, /*#__PURE__*/React.createElement(Progress, {
    strokeLinecap: "butt",
    type: "circle",
    percent: 75
  }), /*#__PURE__*/React.createElement(Progress, {
    strokeLinecap: "butt",
    type: "dashboard",
    percent: 75
  })));
};
export default App;