import React from 'react';
import { Select } from 'antd';
import type { SelectProps as AntdSelectProps, RefSelectProps } from 'antd';
export interface SelectProps extends AntdSelectProps {
    /** 是否需要执行箭头翻转动画 */
    needActive?: boolean;
    /** 后缀图标 Icon，保持翻转动画 */
    iconType?: string;
    /** 后缀图标样式*/
    iconStyle?: React.CSSProperties;
    /** 后缀图标类名*/
    iconClassName?: string;
}
export interface CompoundedComponent extends React.ForwardRefExoticComponent<SelectProps & React.RefAttributes<RefSelectProps>> {
    SECRET_COMBOBOX_MODE_DO_NOT_USE: string;
    Option: typeof Select.Option;
    OptGroup: typeof Select.OptGroup;
}
