/**
 * title: 选择时分
 * desc: TimePicker 浮层中的列会随着 `format` 变化，当略去 `format` 中的某部分时，浮层中对应的列也会消失。
 * slug: true
 */
import { TimePicker } from 'antd';
import moment from 'moment';
import React from 'react';
var format = 'HH:mm';
var App = function App() {
  return /*#__PURE__*/React.createElement(TimePicker, {
    defaultValue: moment('12:08', format),
    format: format
  });
};
export default App;