/**
 * title: 自定义状态
 * desc: 使用 `status` 为 TimePicker 添加状态，可选 `error` 或者 `warning`。
 * slug: true
 */
import { Space, TimePicker } from 'antd';
import React from 'react';
var App = function App() {
  return /*#__PURE__*/React.createElement(Space, {
    direction: "vertical"
  }, /*#__PURE__*/React.createElement(TimePicker, {
    status: "error"
  }), /*#__PURE__*/React.createElement(TimePicker, {
    status: "warning"
  }), /*#__PURE__*/React.createElement(TimePicker.RangePicker, {
    status: "error"
  }), /*#__PURE__*/React.createElement(TimePicker.RangePicker, {
    status: "warning"
  }));
};
export default App;