/**
 * title: 后缀图标
 * desc: 点击 TimePicker，然后可以在浮层中选择或者输入某一时间。
 * slug: true
 */
import { SmileOutlined } from '@ant-design/icons';
import { TimePicker } from 'antd';
import moment from 'moment';
import React from 'react';
var onChange = function onChange(time, timeString) {
  console.log(time, timeString);
};
var App = function App() {
  return /*#__PURE__*/React.createElement(TimePicker, {
    suffixIcon: /*#__PURE__*/React.createElement(SmileOutlined, null),
    onChange: onChange,
    defaultOpenValue: moment('00:00:00', 'HH:mm:ss')
  });
};
export default App;