var _excluded = ["text", "length", "tooltip", "style"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Tooltip } from 'antd';
var LongText = function LongText(_ref) {
  var text = _ref.text,
    _ref$length = _ref.length,
    length = _ref$length === void 0 ? 6 : _ref$length,
    tooltip = _ref.tooltip,
    style = _ref.style,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var num = 0;
  var len = length * 2;
  var textList = (text && text.toString() || '').split('');
  var textNumberList = textList.map(function (str) {
    return /[^\x00-\xff]/.test(str) ? 2 : 1;
  });
  var textLength = textNumberList.reduce(function (prev, current) {
    return prev + current;
  }, 0);
  var textShort = textList.filter(function (_, index) {
    num += textNumberList[index];
    return num <= len - 1;
  });
  return len >= textLength ? /*#__PURE__*/React.createElement("span", {
    style: style
  }, text) : /*#__PURE__*/React.createElement(Tooltip, _extends({
    title: tooltip
  }, restProps), /*#__PURE__*/React.createElement("span", {
    style: style
  }, textShort.join(''), "..."));
};
export default LongText;