function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import Icon from "../Icon";
import { Typography } from 'antd';
var Paragraph = Typography.Paragraph;
var defaultMore = [/*#__PURE__*/React.createElement("span", {
  style: {
    cursor: 'pointer',
    color: '#d89c73'
  }
}, /*#__PURE__*/React.createElement(Icon, {
  type: "downArrow"
}), "\u5C55\u5F00"), /*#__PURE__*/React.createElement("span", {
  style: {
    cursor: 'pointer',
    color: '#d89c73'
  }
}, /*#__PURE__*/React.createElement(Icon, {
  type: "upArrow"
}), "\u6536\u8D77")];
var App = function App(_ref) {
  var text = _ref.text,
    _ref$rows = _ref.rows,
    rows = _ref$rows === void 0 ? 1 : _ref$rows,
    more = _ref.more;
  var _ref2 = more || defaultMore,
    _ref3 = _slicedToArray(_ref2, 2),
    preComp = _ref3[0],
    nextComp = _ref3[1];
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    visible = _useState2[0],
    setVisible = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isEllipsis = _useState4[0],
    setIsEllipsis = _useState4[1];
  return /*#__PURE__*/React.createElement("div", {
    style: {
      position: 'relative'
    }
  }, /*#__PURE__*/React.createElement(Paragraph, {
    ellipsis: visible ? false : {
      rows: rows,
      expandable: true,
      onEllipsis: function onEllipsis(a) {
        return setIsEllipsis(a);
      },
      symbol: /*#__PURE__*/React.createElement("span", {
        style: {
          visibility: 'hidden'
        }
      }, preComp)
    }
  }, text, visible && isEllipsis && /*#__PURE__*/React.createElement("span", {
    onClick: function onClick() {
      return setVisible(false);
    }
  }, nextComp)), !visible && isEllipsis && /*#__PURE__*/React.createElement("div", {
    style: {
      position: 'absolute',
      bottom: 0,
      right: 0
    }
  }, /*#__PURE__*/React.createElement("span", {
    onClick: function onClick() {
      return setVisible(true);
    }
  }, preComp)));
};
export default App;