function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["type", "showIcon", "isSpread", "message", "className"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Alert } from 'antd';
import Icon from "../Icon";
import "./style/index.less";
import { PREFIX_CLS } from "../constants/dictionary";
import cls from 'classnames';
var ICON = {
  success: /*#__PURE__*/React.createElement(Icon, {
    type: "success",
    size: 16
  }),
  info: /*#__PURE__*/React.createElement(Icon, {
    type: "notice",
    size: 16
  }),
  warning: /*#__PURE__*/React.createElement(Icon, {
    type: "warningAreality",
    size: 16
  }),
  error: /*#__PURE__*/React.createElement(Icon, {
    type: "closeAreality",
    size: 16
  })
};
var prefixCls = "".concat(PREFIX_CLS, "-alert-spread");
var AntdAlert = function AntdAlert(_ref) {
  var _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'info' : _ref$type,
    _ref$showIcon = _ref.showIcon,
    showIcon = _ref$showIcon === void 0 ? false : _ref$showIcon,
    _ref$isSpread = _ref.isSpread,
    isSpread = _ref$isSpread === void 0 ? false : _ref$isSpread,
    message = _ref.message,
    className = _ref.className,
    restProps = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(Alert, _extends({
    type: type,
    showIcon: showIcon,
    className: cls(className, _defineProperty({}, prefixCls, isSpread)),
    closeIcon: /*#__PURE__*/React.createElement(Icon, {
      type: "close"
    }),
    message: message
  }, !message ? {
    icon: ICON[type]
  } : {}, restProps));
};
AntdAlert.ErrorBoundary = Alert.ErrorBoundary;
export default AntdAlert;