/**
 * title: 静态位置
 * desc: 不浮动，状态不随页面滚动变化。
 * slug: true
 */
import { Anchor } from 'antd';
import React from 'react';
var Link = Anchor.Link;
var App = function App() {
  return /*#__PURE__*/React.createElement(Anchor, {
    affix: false
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-basic",
    title: "Basic demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#components-anchor-demo-static",
    title: "Static demo"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#API",
    title: "API"
  }, /*#__PURE__*/React.createElement(Link, {
    href: "#Anchor-Props",
    title: "Anchor Props"
  }), /*#__PURE__*/React.createElement(Link, {
    href: "#Link-Props",
    title: "Link Props"
  })));
};
export default App;