function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
/**
 * title: 国际化
 * desc: 此处列出 Ant Design 中需要国际化支持的组件，你可以在演示里切换语言。
 * slug: true
 */

import { Button, Calendar,
// ConfigProvider,
DatePicker, Modal, Pagination, Popconfirm, Radio, Select, Table, TimePicker, Transfer, Space } from 'antd';
import { ConfigProvider } from 'rlj-design';
import enUS from 'antd/es/locale/en_US';
import zhCN from 'antd/es/locale/zh_CN';
import moment from 'moment';
import 'moment/locale/zh-cn';
import React, { useState } from 'react';
moment.locale('zh-cn');
var Option = Select.Option;
var RangePicker = DatePicker.RangePicker;
var columns = [{
  title: 'Name',
  dataIndex: 'name',
  filters: [{
    text: 'filter1',
    value: 'filter1'
  }]
}, {
  title: 'Age',
  dataIndex: 'age'
}];
var Page = function Page() {
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var showModal = function showModal() {
    setOpen(true);
  };
  var hideModal = function hideModal() {
    setOpen(false);
  };
  var info = function info() {
    Modal.info({
      title: 'some info',
      content: 'some info'
    });
  };
  var confirm = function confirm() {
    Modal.confirm({
      title: 'some info',
      content: 'some info'
    });
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "locale-components"
  }, /*#__PURE__*/React.createElement(Space, {
    size: 20,
    direction: "vertical"
  }, /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Pagination, {
    defaultCurrent: 1,
    total: 50,
    showSizeChanger: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Space, {
    size: 10
  }, /*#__PURE__*/React.createElement(Select, {
    showSearch: true,
    style: {
      width: 200
    }
  }, /*#__PURE__*/React.createElement(Option, {
    value: "jack"
  }, "jack"), /*#__PURE__*/React.createElement(Option, {
    value: "lucy"
  }, "lucy")), /*#__PURE__*/React.createElement(DatePicker, null), /*#__PURE__*/React.createElement(TimePicker, null), /*#__PURE__*/React.createElement(RangePicker, {
    style: {
      width: 200
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Space, {
    size: 10
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: showModal
  }, "Show Modal"), /*#__PURE__*/React.createElement(Button, {
    onClick: info
  }, "Show info"), /*#__PURE__*/React.createElement(Button, {
    onClick: confirm
  }, "Show confirm"), /*#__PURE__*/React.createElement(Popconfirm, {
    title: "Question?"
  }, /*#__PURE__*/React.createElement("a", {
    href: "#"
  }, "Click to confirm")))), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Transfer, {
    dataSource: [],
    showSearch: true,
    targetKeys: []
  })), /*#__PURE__*/React.createElement("div", {
    className: "site-config-provider-calendar-wrapper"
  }, /*#__PURE__*/React.createElement(Calendar, {
    fullscreen: false,
    value: moment()
  })), /*#__PURE__*/React.createElement("div", {
    className: "example"
  }, /*#__PURE__*/React.createElement(Table, {
    dataSource: [],
    columns: columns
  }))), /*#__PURE__*/React.createElement(Modal, {
    title: "Locale Modal",
    open: open,
    onCancel: hideModal
  }, /*#__PURE__*/React.createElement("p", null, "Locale Modal")));
};
var App = function App() {
  var _useState3 = useState(enUS),
    _useState4 = _slicedToArray(_useState3, 2),
    locale = _useState4[0],
    setLocal = _useState4[1];
  var changeLocale = function changeLocale(e) {
    var localeValue = e.target.value;
    setLocal(localeValue);
    if (!localeValue) {
      moment.locale('en');
    } else {
      moment.locale('zh-cn');
    }
  };
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Space, {
    size: 20,
    direction: "vertical"
  }, /*#__PURE__*/React.createElement("div", {
    className: "change-locale"
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      marginRight: 16
    }
  }, "Change locale of components: "), /*#__PURE__*/React.createElement(Radio.Group, {
    value: locale,
    onChange: changeLocale
  }, /*#__PURE__*/React.createElement(Radio.Button, {
    key: "en",
    value: enUS
  }, "English"), /*#__PURE__*/React.createElement(Radio.Button, {
    key: "cn",
    value: zhCN
  }, "\u4E2D\u6587"))), /*#__PURE__*/React.createElement(ConfigProvider, {
    locale: locale
  }, /*#__PURE__*/React.createElement(Page, {
    key: locale ? locale.locale : 'en' /* Have to refresh for production environment */
  }))));
};
export default App;

// .site-config-provider-calendar-wrapper {
//   width: 319px;
//   border: 1px solid #d9d9d9;
//   border-radius: 2px;
// }

// .locale-components {
//   padding-top: 16px;
//   border-top: 1px solid #d9d9d9;
// }

// .code-box-demo .example {
//   margin: 16px 0;
// }

// .code-box-demo .example > * {
//   margin-right: 8px;
// }

// .change-locale {
//   margin-bottom: 16px;
// }

// <style>
// [data-theme="dark"] .locale-components {
//   border-top: 1px solid #303030;
// }
// [data-theme="dark"] .site-config-provider-calendar-wrapper {
//   border: 1px solid #303030;
// }
// </style>