function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * title: 全局样式
 * desc: 通过 css variable 修改全局主题色（你可以切换到组件页面查看更详细的样式展示），不支持 IE。自动生成的变量可能会根据设计调整，请勿直接依赖。详细配置请[点击查看](/docs/react/customize-theme-variable)。
 * slug: true
 */
import { ClockCircleOutlined, DownOutlined, MailOutlined, SettingOutlined } from '@ant-design/icons';
import { Alert, Button, Card, Checkbox, Col, DatePicker, Divider, Dropdown, Form, Input, InputNumber, Mentions, Menu, Pagination, Progress, Radio, Row, Select, Slider, Space, Spin, Steps, Switch, Table, Tabs, Tag, Timeline, TimePicker, Transfer, Tree, TreeSelect, Typography } from 'antd';
import { ConfigProvider } from 'rlj-design';
import React, { useState } from 'react';
import { SketchPicker } from 'react-color';
var SplitSpace = function SplitSpace(props) {
  return /*#__PURE__*/React.createElement(Space, _extends({
    split: /*#__PURE__*/React.createElement(Divider, {
      type: "vertical"
    }),
    size: 4
  }, props));
};
var menuItems = [{
  key: 'mail',
  icon: /*#__PURE__*/React.createElement(MailOutlined, null),
  label: 'Mail'
}, {
  key: 'SubMenu',
  icon: /*#__PURE__*/React.createElement(SettingOutlined, null),
  label: 'Submenu',
  children: [{
    type: 'group',
    label: 'Item 1',
    children: [{
      key: 'setting:1',
      label: 'Option 1'
    }, {
      key: 'setting:2',
      label: 'Option 2'
    }]
  }]
}];
var inputProps = {
  style: {
    width: 128
  }
};
var selectProps = _objectSpread(_objectSpread({}, inputProps), {}, {
  options: [{
    value: 'light',
    label: 'Light'
  }, {
    value: 'bamboo',
    label: 'Bamboo'
  }, {
    value: 'little',
    label: 'Little'
  }]
});
var treeData = [{
  value: 'little',
  key: 'little',
  label: 'Little',
  title: 'Little',
  children: [{
    value: 'light',
    key: 'light',
    label: 'Light',
    title: 'Light'
  }, {
    value: 'bamboo',
    key: 'bamboo',
    label: 'Bamboo',
    title: 'Bamboo'
  }]
}];
var treeSelectProps = _objectSpread(_objectSpread({}, inputProps), {}, {
  treeCheckable: true,
  maxTagCount: 'responsive',
  treeData: treeData
});
var carTabListNoTitle = [{
  key: 'article',
  tab: 'article'
}, {
  key: 'app',
  tab: 'app'
}, {
  key: 'project',
  tab: 'project'
}];
var MyTransfer = function MyTransfer() {
  var mockData = [];
  for (var i = 0; i < 20; i++) {
    mockData.push({
      key: i.toString(),
      title: "content".concat(i + 1),
      description: "description of content".concat(i + 1)
    });
  }
  return /*#__PURE__*/React.createElement(Transfer, {
    dataSource: mockData,
    targetKeys: ['18'],
    selectedKeys: ['3'],
    render: function render(item) {
      return item.title;
    }
  });
};
var App = function App() {
  var _useState = useState({
      primaryColor: '#1890ff',
      errorColor: '#ff4d4f',
      warningColor: '#faad14',
      successColor: '#52c41a',
      infoColor: '#1890ff'
    }),
    _useState2 = _slicedToArray(_useState, 2),
    color = _useState2[0],
    setColor = _useState2[1];
  var onColorChange = function onColorChange(nextColor) {
    var mergedNextColor = _objectSpread(_objectSpread({}, color), nextColor);
    setColor(mergedNextColor);
    ConfigProvider.config({
      theme: mergedNextColor
    });
  };
  return /*#__PURE__*/React.createElement(Row, {
    gutter: 16,
    wrap: false
  }, /*#__PURE__*/React.createElement(Col, {
    flex: "none"
  }, /*#__PURE__*/React.createElement(Space, {
    direction: "vertical",
    align: "center"
  }, /*#__PURE__*/React.createElement(SketchPicker, {
    presetColors: ['#1890ff', '#25b864', '#ff6f00'],
    color: color.primaryColor,
    onChange: function onChange(_ref) {
      var hex = _ref.hex;
      onColorChange({
        primaryColor: hex
      });
    }
  }), /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'var(--ant-primary-color)'
    }
  }, "var(`--ant-primary-color`)"), /*#__PURE__*/React.createElement(SketchPicker, {
    presetColors: ['#ff4d4f'],
    color: color.errorColor,
    onChange: function onChange(_ref2) {
      var hex = _ref2.hex;
      onColorChange({
        errorColor: hex
      });
    }
  }), /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'var(--ant-error-color)'
    }
  }, "var(`--ant-error-color`)"), /*#__PURE__*/React.createElement(SketchPicker, {
    presetColors: ['#faad14'],
    color: color.warningColor,
    onChange: function onChange(_ref3) {
      var hex = _ref3.hex;
      onColorChange({
        warningColor: hex
      });
    }
  }), /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'var(--ant-warning-color)'
    }
  }, "var(`--ant-warning-color`)"), /*#__PURE__*/React.createElement(SketchPicker, {
    presetColors: ['#52c41a'],
    color: color.successColor,
    onChange: function onChange(_ref4) {
      var hex = _ref4.hex;
      onColorChange({
        successColor: hex
      });
    }
  }), /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'var(--ant-success-color)'
    }
  }, "var(`--ant-success-color`)"), /*#__PURE__*/React.createElement(SketchPicker, {
    presetColors: ['#1890ff'],
    color: color.infoColor,
    onChange: function onChange(_ref5) {
      var hex = _ref5.hex;
      onColorChange({
        infoColor: hex
      });
    }
  }), /*#__PURE__*/React.createElement("span", {
    style: {
      color: 'var(--ant-info-color)'
    }
  }, "var(`--ant-info-color`)"))), /*#__PURE__*/React.createElement(Col, {
    flex: "auto"
  }, /*#__PURE__*/React.createElement(Space, {
    direction: "vertical",
    split: /*#__PURE__*/React.createElement(Divider, null),
    style: {
      width: '100%'
    },
    size: 0
  }, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Button, {
    type: "primary"
  }, "Primary"), /*#__PURE__*/React.createElement(Button, null, "Default"), /*#__PURE__*/React.createElement(Button, {
    type: "dashed"
  }, "Dashed"), /*#__PURE__*/React.createElement(Button, {
    type: "text"
  }, "Text"), /*#__PURE__*/React.createElement(Button, {
    type: "link"
  }, "Link")), /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Button, {
    danger: true,
    type: "primary"
  }, "Primary"), /*#__PURE__*/React.createElement(Button, {
    danger: true
  }, "Default"), /*#__PURE__*/React.createElement(Button, {
    danger: true,
    type: "dashed"
  }, "Dashed"), /*#__PURE__*/React.createElement(Button, {
    danger: true,
    type: "text"
  }, "Text"), /*#__PURE__*/React.createElement(Button, {
    danger: true,
    type: "link"
  }, "Link")), /*#__PURE__*/React.createElement(SplitSpace, {
    style: {
      background: 'rgb(190, 200, 200)'
    }
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    ghost: true
  }, "Primary"), /*#__PURE__*/React.createElement(Button, {
    ghost: true
  }, "Default"), /*#__PURE__*/React.createElement(Button, {
    type: "dashed",
    ghost: true
  }, "Dashed"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    ghost: true,
    danger: true
  }, "Primary"), /*#__PURE__*/React.createElement(Button, {
    ghost: true,
    danger: true
  }, "Default"), /*#__PURE__*/React.createElement(Button, {
    type: "dashed",
    ghost: true,
    danger: true
  }, "Dashed")), /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Typography.Text, {
    type: "success"
  }, "Text (success)"), /*#__PURE__*/React.createElement(Typography.Text, {
    type: "warning"
  }, "Text(warning)"), /*#__PURE__*/React.createElement(Typography.Text, {
    type: "danger"
  }, "Text(danger)"), /*#__PURE__*/React.createElement(Typography.Link, {
    href: "https://ant.design",
    target: "_blank"
  }, "Link"), /*#__PURE__*/React.createElement(Typography.Text, {
    copyable: true
  }, "Text"), /*#__PURE__*/React.createElement(Dropdown, {
    menu: {
      items: [{
        key: '1',
        label: '1st menu item'
      }, {
        key: '2',
        label: 'a danger item',
        danger: true
      }]
    }
  }, /*#__PURE__*/React.createElement("a", {
    onClick: function onClick(e) {
      return e.preventDefault();
    }
  }, /*#__PURE__*/React.createElement(Space, null, "Hover me", /*#__PURE__*/React.createElement(DownOutlined, null)))), /*#__PURE__*/React.createElement(Spin, null)), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(Menu, {
    mode: "horizontal",
    defaultSelectedKeys: ['mail'],
    items: menuItems
  })), /*#__PURE__*/React.createElement(Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(Menu, {
    mode: "horizontal",
    theme: "dark",
    defaultSelectedKeys: ['mail'],
    items: menuItems
  }))), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(Menu, {
    mode: "inline",
    defaultSelectedKeys: ['mail'],
    items: menuItems
  })), /*#__PURE__*/React.createElement(Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(Menu, {
    mode: "vertical",
    theme: "dark",
    defaultSelectedKeys: ['mail'],
    items: menuItems
  }))), /*#__PURE__*/React.createElement(Pagination, {
    showQuickJumper: true,
    defaultCurrent: 2,
    total: 500
  }), /*#__PURE__*/React.createElement(Steps, {
    current: 1,
    percent: 60,
    items: [{
      title: 'Finished',
      description: 'This is a description.'
    }, {
      title: 'In Progress',
      subTitle: 'Left 00:00:08',
      description: 'This is a description.'
    }, {
      title: 'Waiting',
      description: 'This is a description.'
    }]
  }), /*#__PURE__*/React.createElement(Steps, {
    current: 2,
    status: "error",
    progressDot: true,
    items: [{
      title: 'Finished',
      description: 'You can hover on the dot.'
    }, {
      title: 'In Progress',
      description: 'You can hover on the dot.'
    }, {
      title: 'Error',
      description: 'You can hover on the dot.'
    }, {
      title: 'Waiting',
      description: 'You can hover on the dot.'
    }]
  }), /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Form.Item, null, /*#__PURE__*/React.createElement(Input, inputProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "success"
  }, /*#__PURE__*/React.createElement(Input, inputProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "warning"
  }, /*#__PURE__*/React.createElement(Input, inputProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "error"
  }, /*#__PURE__*/React.createElement(Input, inputProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "validating"
  }, /*#__PURE__*/React.createElement(Input, inputProps)))), /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Form.Item, null, /*#__PURE__*/React.createElement(Select, selectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "success"
  }, /*#__PURE__*/React.createElement(Select, selectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "warning"
  }, /*#__PURE__*/React.createElement(Select, selectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "error"
  }, /*#__PURE__*/React.createElement(Select, selectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "validating"
  }, /*#__PURE__*/React.createElement(Select, selectProps)))), /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Form.Item, null, /*#__PURE__*/React.createElement(TreeSelect, treeSelectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "success"
  }, /*#__PURE__*/React.createElement(TreeSelect, treeSelectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "warning"
  }, /*#__PURE__*/React.createElement(TreeSelect, treeSelectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "error"
  }, /*#__PURE__*/React.createElement(TreeSelect, treeSelectProps)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "validating"
  }, /*#__PURE__*/React.createElement(TreeSelect, treeSelectProps)))), /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Form.Item, null, /*#__PURE__*/React.createElement(InputNumber, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "success"
  }, /*#__PURE__*/React.createElement(InputNumber, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "warning"
  }, /*#__PURE__*/React.createElement(InputNumber, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "error"
  }, /*#__PURE__*/React.createElement(InputNumber, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "validating"
  }, /*#__PURE__*/React.createElement(InputNumber, null)))), /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Form.Item, null, /*#__PURE__*/React.createElement(DatePicker, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "success"
  }, /*#__PURE__*/React.createElement(DatePicker, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "warning"
  }, /*#__PURE__*/React.createElement(DatePicker, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "error"
  }, /*#__PURE__*/React.createElement(DatePicker, null)), /*#__PURE__*/React.createElement(Form.Item, {
    hasFeedback: true,
    validateStatus: "validating"
  }, /*#__PURE__*/React.createElement(DatePicker, null)))), /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Checkbox, null, "Checkbox"), /*#__PURE__*/React.createElement(Radio.Group, {
    defaultValue: "bamboo"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "bamboo"
  }, "Bamboo"), /*#__PURE__*/React.createElement(Radio, {
    value: "light"
  }, "Light"), /*#__PURE__*/React.createElement(Radio, {
    value: "little"
  }, "Little")), /*#__PURE__*/React.createElement(Mentions, {
    placeholder: "Mention by @"
  }, /*#__PURE__*/React.createElement(Mentions.Option, {
    value: "afc163"
  }, "afc163"), /*#__PURE__*/React.createElement(Mentions.Option, {
    value: "zombieJ"
  }, "zombieJ"), /*#__PURE__*/React.createElement(Mentions.Option, {
    value: "yesmeck"
  }, "yesmeck")), /*#__PURE__*/React.createElement(Slider, {
    defaultValue: 30,
    style: {
      width: 100
    }
  }), /*#__PURE__*/React.createElement(Switch, {
    defaultChecked: true
  })), /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(DatePicker.RangePicker, null), /*#__PURE__*/React.createElement(TimePicker.RangePicker, null)), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    span: 8
  }, /*#__PURE__*/React.createElement(Card, {
    style: {
      width: '100%'
    },
    tabList: carTabListNoTitle,
    tabBarExtraContent: /*#__PURE__*/React.createElement("a", {
      href: "#"
    }, "More")
  })), /*#__PURE__*/React.createElement(Col, {
    span: 8
  }, /*#__PURE__*/React.createElement(Table, {
    size: "small",
    bordered: true,
    rowSelection: {},
    columns: [{
      title: 'Key',
      dataIndex: 'key',
      filters: [{
        text: 'Little',
        value: 'little'
      }],
      sorter: function sorter(a, b) {
        return a.key.length - b.key.length;
      }
    }],
    dataSource: [{
      key: 'Bamboo'
    }, {
      key: 'Light'
    }, {
      key: 'Little'
    }]
  })), /*#__PURE__*/React.createElement(Col, {
    span: 8
  }, /*#__PURE__*/React.createElement(Tabs, {
    defaultActiveKey: "1"
  }, /*#__PURE__*/React.createElement(Tabs.TabPane, {
    tab: "Tab 1",
    key: "1"
  }, "Content of Tab Pane 1"), /*#__PURE__*/React.createElement(Tabs.TabPane, {
    tab: "Tab 2",
    key: "2"
  }, "Content of Tab Pane 2"), /*#__PURE__*/React.createElement(Tabs.TabPane, {
    tab: "Tab 3",
    key: "3"
  }, "Content of Tab Pane 3")))), /*#__PURE__*/React.createElement(SplitSpace, null, /*#__PURE__*/React.createElement(Tag, {
    color: "success"
  }, "success"), /*#__PURE__*/React.createElement(Tag, {
    color: "processing"
  }, "processing"), /*#__PURE__*/React.createElement(Tag, {
    color: "error"
  }, "error"), /*#__PURE__*/React.createElement(Tag, {
    color: "warning"
  }, "warning"), /*#__PURE__*/React.createElement(Tag, {
    color: "default"
  }, "default"), /*#__PURE__*/React.createElement(Tag.CheckableTag, {
    checked: true
  }, "CheckableTag")), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    span: 16
  }, /*#__PURE__*/React.createElement(Timeline, {
    mode: "alternate"
  }, /*#__PURE__*/React.createElement(Timeline.Item, null, "Create a services site 2015-09-01"), /*#__PURE__*/React.createElement(Timeline.Item, {
    color: "gray"
  }, "Solve initial network problems 2015-09-01"), /*#__PURE__*/React.createElement(Timeline.Item, {
    dot: /*#__PURE__*/React.createElement(ClockCircleOutlined, {
      style: {
        fontSize: '16px'
      }
    })
  }, "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo."))), /*#__PURE__*/React.createElement(Col, {
    span: 8
  }, /*#__PURE__*/React.createElement(Tree, {
    treeData: treeData,
    height: 200,
    defaultExpandAll: true,
    checkable: true
  }))), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    span: 6
  }, /*#__PURE__*/React.createElement(Alert, {
    showIcon: true,
    message: "Success Text",
    type: "success"
  })), /*#__PURE__*/React.createElement(Col, {
    span: 6
  }, /*#__PURE__*/React.createElement(Alert, {
    showIcon: true,
    message: "Info Text",
    type: "info"
  })), /*#__PURE__*/React.createElement(Col, {
    span: 6
  }, /*#__PURE__*/React.createElement(Alert, {
    showIcon: true,
    message: "Warning Text",
    type: "warning"
  })), /*#__PURE__*/React.createElement(Col, {
    span: 6
  }, /*#__PURE__*/React.createElement(Alert, {
    showIcon: true,
    message: "Error Text",
    type: "error"
  }))), /*#__PURE__*/React.createElement(Row, {
    gutter: 16
  }, /*#__PURE__*/React.createElement(Col, {
    flex: "auto"
  }, /*#__PURE__*/React.createElement(Progress, {
    percent: 30
  }), /*#__PURE__*/React.createElement(Progress, {
    percent: 70,
    status: "exception"
  }), /*#__PURE__*/React.createElement(Progress, {
    percent: 100
  })), /*#__PURE__*/React.createElement(Col, {
    flex: "none"
  }, /*#__PURE__*/React.createElement(Progress, {
    type: "circle",
    percent: 75
  }), /*#__PURE__*/React.createElement(Progress, {
    type: "circle",
    percent: 70,
    status: "exception"
  }), /*#__PURE__*/React.createElement(Progress, {
    type: "circle",
    percent: 100
  }))), /*#__PURE__*/React.createElement(MyTransfer, null))));
};
export default App;