/**
 * title: 仪表盘
 * desc: 通过设置 `type=dashboard`，可以很方便地实现仪表盘样式的进度条。若想要修改缺口的角度，可以设置 `gapDegree` 为你想要的值。
 * slug: true
 */
import { Progress, Space } from 'antd';
import React from 'react';
var App = function App() {
  return /*#__PURE__*/React.createElement(Space, {
    size: 20
  }, /*#__PURE__*/React.createElement(Progress, {
    type: "dashboard",
    percent: 75
  }), /*#__PURE__*/React.createElement(Progress, {
    type: "dashboard",
    percent: 75,
    gapDegree: 30
  }));
};
export default App;