/**
 * title: 分段进度条
 * desc: 标准的进度条。`type="circle|dashboard"` 时不支持分段颜色。
 * slug: true
 */
import { Progress, Tooltip, Space } from 'antd';
import React from 'react';
var App = function App() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Tooltip, {
    title: "3 done / 3 in progress / 4 to do"
  }, /*#__PURE__*/React.createElement(Progress, {
    percent: 60,
    success: {
      percent: 30
    }
  })), /*#__PURE__*/React.createElement(Space, {
    size: 20
  }, /*#__PURE__*/React.createElement(Tooltip, {
    title: "3 done / 3 in progress / 4 to do"
  }, /*#__PURE__*/React.createElement(Progress, {
    percent: 60,
    success: {
      percent: 30
    },
    type: "circle"
  })), /*#__PURE__*/React.createElement(Tooltip, {
    title: "3 done / 3 in progress / 4 to do"
  }, /*#__PURE__*/React.createElement(Progress, {
    percent: 60,
    success: {
      percent: 30
    },
    type: "dashboard"
  }))));
};
export default App;