/**
 * title: 自定义字符
 * desc: 可以使用 `(RateProps) => ReactNode` 的方式自定义每一个字符。
 * slug: true
 */

import { FrownOutlined, MehOutlined, SmileOutlined } from '@ant-design/icons';
import { Rate } from 'antd';
import React from 'react';
var customIcons = {
  1: /*#__PURE__*/React.createElement(FrownOutlined, null),
  2: /*#__PURE__*/React.createElement(FrownOutlined, null),
  3: /*#__PURE__*/React.createElement(MehOutlined, null),
  4: /*#__PURE__*/React.createElement(SmileOutlined, null),
  5: /*#__PURE__*/React.createElement(SmileOutlined, null)
};
var App = function App() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Rate, {
    defaultValue: 2,
    character: function character(_ref) {
      var index = _ref.index;
      return index + 1;
    }
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Rate, {
    defaultValue: 3,
    character: function character(_ref2) {
      var index = _ref2.index;
      return customIcons[index + 1];
    }
  }));
};
export default App;