function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["children", "isActive"],
  _excluded2 = ["options", "isActive", "activeIndex", "onSetActive", "onClick"];
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useEffect, useState } from 'react';
import classnames from 'classnames';
import { Link } from 'react-scroll';
import { PREFIX_CLS } from "../constants/dictionary";
import * as Scroll from 'react-scroll';
var prefixCls = "".concat(PREFIX_CLS, "-scrollLink");
import "./style/index.less";
var ScrollItem = function ScrollItem(_ref) {
  var children = _ref.children,
    _ref$isActive = _ref.isActive,
    isActive = _ref$isActive === void 0 ? false : _ref$isActive,
    restProps = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-scrollItem")
  }, /*#__PURE__*/React.createElement(Link, _extends({
    className: classnames("".concat(prefixCls, "-link"), _defineProperty({}, "".concat(prefixCls, "-linkActive"), isActive))
  }, restProps), children));
};
var timer;
var duration = 300;
var ScrollLink = function ScrollLink(_ref2) {
  var _ref2$options = _ref2.options,
    options = _ref2$options === void 0 ? [] : _ref2$options,
    isActive = _ref2.isActive,
    _ref2$activeIndex = _ref2.activeIndex,
    activeIndex = _ref2$activeIndex === void 0 ? 0 : _ref2$activeIndex,
    _onSetActive = _ref2.onSetActive,
    _onClick = _ref2.onClick,
    restProps = _objectWithoutProperties(_ref2, _excluded2);
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    spy = _useState2[0],
    setSpy = _useState2[1];
  var _useState3 = useState(0),
    _useState4 = _slicedToArray(_useState3, 2),
    navIndex = _useState4[0],
    setNavIndex = _useState4[1];
  var _useState5 = useState(''),
    _useState6 = _slicedToArray(_useState5, 2),
    navTo = _useState6[0],
    setNavTo = _useState6[1];
  useEffect(function () {
    var _options$activeIndex;
    setNavTo((options === null || options === void 0 || (_options$activeIndex = options[activeIndex]) === null || _options$activeIndex === void 0 ? void 0 : _options$activeIndex.id) || '');
  }, [options]);
  var setActive = function setActive(to) {
    var index = options === null || options === void 0 ? void 0 : options.map(function (item) {
      return item.id;
    }).indexOf(to);
    index > -1 && setNavIndex(index);
    setNavTo(to);
  };
  return /*#__PURE__*/React.createElement("div", {
    className: prefixCls
  }, /*#__PURE__*/React.createElement("span", {
    className: "".concat(prefixCls, "-navActive"),
    style: {
      transform: "translateY(".concat(navIndex * 48, "px)")
    }
  }), options === null || options === void 0 ? void 0 : options.map(function (_ref3) {
    var title = _ref3.title,
      key = _ref3.key,
      id = _ref3.id;
    return /*#__PURE__*/React.createElement(ScrollItem, _extends({
      key: key || id,
      to: id || '',
      isActive: navTo === id,
      smooth: true,
      offset: -16,
      spy: spy,
      duration: duration,
      onSetActive: function onSetActive(id) {
        setActive(id);
        _onSetActive && _onSetActive();
      },
      onClick: function onClick() {
        // 防止点击执行滚动时，onSetActive执行导致linkActive错乱
        setSpy(false);
        clearTimeout(timer);
        timer = setTimeout(function () {
          setSpy(true);
        }, duration + 10);
        setActive(id || '');
        _onClick && _onClick();
      }
    }, restProps), title);
  }));
};
ScrollLink.ScrollApi = Scroll;
export default ScrollLink;