import type { ReactScrollLinkProps } from 'react-scroll/modules/components/Link';
export type ScrollItemProps = ReactScrollLinkProps & {
    isActive?: boolean;
};
export interface ScrollLinkProps extends Omit<ScrollItemProps, 'to'> {
    /** 传入的导航组 */
    options?: {
        title?: string;
        key?: string;
        id?: string;
    }[];
    /** 默认第几项导航选中 */
    activeIndex?: number;
    to?: string;
}
