import type { TagProps as AntdTagProps } from 'antd';
import { Tag } from 'antd';
import React from 'react';
export type TagTypes = 'success' | 'warning' | 'info' | 'normal' | 'error' | 'disabled' | 'selected' | 'filter';
export interface TagProps extends AntdTagProps {
    type?: TagTypes;
    height?: string | number;
    bordered?: boolean;
    disabled?: boolean;
    suffix?: React.ReactNode;
}
export interface TagType extends React.ForwardRefExoticComponent<TagProps & React.RefAttributes<HTMLElement>> {
    CheckableTag: typeof Tag.CheckableTag;
}
