/**
 * title:  12 小时制
 * desc: 12 小时制的时间选择器，默认的 format 为 `h:mm:ss a`。
 * slug: true
 */
import { TimePicker } from 'antd';
import React from 'react';
var onChange = function onChange(time, timeString) {
  console.log(time, timeString);
};
var App = function App() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TimePicker, {
    use12Hours: true,
    onChange: onChange
  }), /*#__PURE__*/React.createElement(TimePicker, {
    use12Hours: true,
    format: "h:mm:ss A",
    onChange: onChange,
    style: {
      width: 140
    }
  }), /*#__PURE__*/React.createElement(TimePicker, {
    use12Hours: true,
    format: "h:mm a",
    onChange: onChange
  }));
};
export default App;