/**
 * title: 色付きポップアップ
 * desc: カスタムクラスを `TimePicker`ポップアップに渡す
 * slug: true
 */
import { TimePicker } from 'antd';
import moment from 'moment';
import React from 'react';
var onChange = function onChange(time, timeString) {
  console.log(time, timeString);
};
var App = function App() {
  return /*#__PURE__*/React.createElement(TimePicker, {
    onChange: onChange,
    defaultOpenValue: moment('00:00:00', 'HH:mm:ss'),
    popupClassName: "myCustomClassName"
  });
};
export default App;