import './styles/antd.less';
export * from 'antd';
export { default as zh_CN } from 'antd/es/locale/zh_CN';
export { default as Alert } from './Alert';
export type { AlertProps } from './Alert';
export { default as Button } from './Button';
export type { ButtonProps } from './Button';
export { default as Cascader } from './Cascader';
export type { CascaderProps, DefaultOptionType } from './Cascader';
export type { CheckboxChangeEvent } from './CheckBox';
export { default as ConfigProvider } from './ConfigProvider';
export { default as DatePicker } from './DatePicker';
export type { RangePickerProps, MonthPickerProps, WeekPickerProps, DatePickerProps, } from './DatePicker';
export { default as Icon } from './Icon';
export type { IconProps } from './Icon';
export { default as Input } from './Input';
export type { InputProps, InputRef, TextAreaProps } from './Input';
export { default as Drawer } from './Drawer';
export type { DrawerProps } from './Drawer';
export { default as LabelRender } from './LabelRender';
export type { LabelRenderProps } from './LabelRender';
export { default as message } from './Message';
export { default as Modal } from './Modal';
export type { ModalFuncProps, ModalProps } from './Modal';
export { default as Form } from './Form';
export type { FormInstance, FormItemProps, FormListFieldData, FormProps, FormRule, FormListOperation, } from './Form';
export { default as notification } from './Notification';
export type { NotificationApi } from './Notification';
export { default as PageTitle } from './PageTitle';
export type { PageTitleProps } from './PageTitle';
export { default as ScrollLink } from './ScrollLink';
export { default as Result } from './Result';
export type { ResultProps } from './Result';
export type { ScrollLinkProps, ScrollItemProps } from './ScrollLink';
export { default as Select } from './Select';
export { default as SelectCheckbox } from './SelectCheckbox';
export type { SelectCheckboxProps } from './SelectCheckbox';
export { default as Space } from './Space';
export { default as Switch } from './Switch';
export type { SwitchProps } from './Switch';
export { default as Tag } from './Tag';
export type { TagProps, TagType } from './Tag';
export { default as Tree } from './Tree';
export type { TreeDataNode, TreeProps } from './Tree';
export { default as TreeSelect } from './TreeSelect';
export { default as Typography } from './Typography/index';
export * from './Spin';
import 'moment/locale/zh-cn';
